package com.saye.hospitalgd.service.impl.FinancialReconciliation;

import com.saye.hospitalgd.mapper.FinancialReconciliation.TenpaySummaryMapper;
import com.saye.hospitalgd.service.FinancialReconciliation.TenpaySummaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public class TenpaySummaryServiceImpl implements TenpaySummaryService {

    @Autowired
    private TenpaySummaryMapper tenpaySummaryMapper;

    @Override
    public List<HashMap<Object, Object>> findTenpaySummary(HashMap<Object, Object> map) {
        return tenpaySummaryMapper.findTenpaySummary(map);
    }

    @Override
    public List<HashMap<Object, Object>> findTenpayBankSummary(HashMap<Object, Object> map) {
        return tenpaySummaryMapper.findTenpayBankSummary(map);
    }

    @Override
    public List<HashMap<Object, Object>> findTenpayHisSummary(HashMap<Object, Object> map) {
        return tenpaySummaryMapper.findTenpayHisSummary(map);
    }
}
